export declare function useInputEditorSchema(): {
    editorSchema: (inputOptions?: any[]) => ({
        $formkit: string;
        if: string;
        name: string;
        dynamic: boolean;
        children: object[];
    } | {
        $formkit: string;
        id: string;
        name: string;
        label: string;
        value: string;
        optionLabel: string;
        optionValue: string;
        options: any[];
        filter: boolean;
        key: string;
        outerClass: string;
        preserve: boolean;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        if?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        name: string;
        label: string;
        validation: string;
        validationVisibility: string;
        key: string;
        outerClass: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        filter?: undefined;
        allowEmpty?: undefined;
        if?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        id: string;
        name: string;
        options: {
            label: string;
            value: string;
        }[];
        optionLabel: string;
        optionValue: string;
        value: string;
        allowEmpty: boolean;
        key: string;
        preserve: boolean;
        label?: undefined;
        filter?: undefined;
        outerClass?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        if?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        filter?: undefined;
        outerClass?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        outerClass: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        filter?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        value: boolean;
        suffix: string;
        outerClass: string;
        preserve: boolean;
        id?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        filter?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        key: string;
        value: boolean;
        outerClass: string;
        preserve: boolean;
        id?: undefined;
        optionLabel?: undefined;
        optionValue?: undefined;
        options?: undefined;
        filter?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        suffix?: undefined;
    } | {
        $formkit: string;
        if: string;
        name: string;
        label: string;
        optionLabel: string;
        optionValue: string;
        options: {
            label: string;
            value: string;
        }[];
        key: string;
        outerClass: string;
        preserve: boolean;
        id?: undefined;
        value?: undefined;
        filter?: undefined;
        validation?: undefined;
        validationVisibility?: undefined;
        allowEmpty?: undefined;
        suffix?: undefined;
    })[];
    primeInputOptions: (list: string[]) => {
        label: string;
        value: string;
    }[];
};
